CSFML - C binding of the Simple and Fast Multimedia Library

CSFML

- Main Page
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions
Text.h File Reference
`#include <SFML/Graphics/Export.h>`
`#include <SFML/Graphics/Color.h>`
`#include <SFML/Graphics/Rect.h>`
`#include <SFML/Graphics/Types.h>`
`#include <SFML/Graphics/Transform.h>`
`#include <SFML/System/Vector2.h>`
`#include <stddef.h>`

Go to the source code of this file.

## Enumerations
enum | sfTextStyle { sfTextRegular = 0, sfTextBold = 1 << 0, sfTextItalic = 1 << 1, sfTextUnderlined = 1 << 2, sfTextStrikeThrough = 1 << 3 }
| sfText styles More...

## Functions
CSFML_GRAPHICS_API sfText * | sfText_create (void)
| Create a new text. More...
CSFML_GRAPHICS_API sfText * | sfText_copy (const sfText *text)
| Copy an existing text. More...
CSFML_GRAPHICS_API void | sfText_destroy (sfText *text)
| Destroy an existing text. More...
CSFML_GRAPHICS_API void | sfText_setPosition (sfText *text, sfVector2f position)
| Set the position of a text. More...
CSFML_GRAPHICS_API void | sfText_setRotation (sfText *text, float angle)
| Set the orientation of a text. More...
CSFML_GRAPHICS_API void | sfText_setScale (sfText *text, sfVector2f scale)
| Set the scale factors of a text. More...
CSFML_GRAPHICS_API void | sfText_setOrigin (sfText *text, sfVector2f origin)
| Set the local origin of a text. More...
CSFML_GRAPHICS_API sfVector2f | sfText_getPosition (const sfText *text)
| Get the position of a text. More...
CSFML_GRAPHICS_API float | sfText_getRotation (const sfText *text)
| Get the orientation of a text. More...
CSFML_GRAPHICS_API sfVector2f | sfText_getScale (const sfText *text)
| Get the current scale of a text. More...
CSFML_GRAPHICS_API sfVector2f | sfText_getOrigin (const sfText *text)
| Get the local origin of a text. More...
CSFML_GRAPHICS_API void | sfText_move (sfText *text, sfVector2f offset)
| Move a text by a given offset. More...
CSFML_GRAPHICS_API void | sfText_rotate (sfText *text, float angle)
| Rotate a text. More...
CSFML_GRAPHICS_API void | sfText_scale (sfText *text, sfVector2f factors)
| Scale a text. More...
CSFML_GRAPHICS_API sfTransform | sfText_getTransform (const sfText *text)
| Get the combined transform of a text. More...
CSFML_GRAPHICS_API sfTransform | sfText_getInverseTransform (const sfText *text)
| Get the inverse of the combined transform of a text. More...
CSFML_GRAPHICS_API void | sfText_setString (sfText *text, const char *string)
| Set the string of a text (from an ANSI string) More...
CSFML_GRAPHICS_API void | sfText_setUnicodeString (sfText *text, const sfUint32 *string)
| Set the string of a text (from a unicode string) More...
CSFML_GRAPHICS_API void | sfText_setFont (sfText *text, const sfFont *font)
| Set the font of a text. More...
CSFML_GRAPHICS_API void | sfText_setCharacterSize (sfText *text, unsigned int size)
| Set the character size of a text. More...
CSFML_GRAPHICS_API void | sfText_setStyle (sfText *text, sfUint32 style)
| Set the style of a text. More...
CSFML_GRAPHICS_API void | sfText_setColor (sfText *text, sfColor color)
| Set the global color of a text. More...
CSFML_GRAPHICS_API const char * | sfText_getString (const sfText *text)
| Get the string of a text (returns an ANSI string) More...
CSFML_GRAPHICS_API const sfUint32 * | sfText_getUnicodeString (const sfText *text)
| Get the string of a text (returns a unicode string) More...
CSFML_GRAPHICS_API const sfFont * | sfText_getFont (const sfText *text)
| Get the font used by a text. More...
CSFML_GRAPHICS_API unsigned int | sfText_getCharacterSize (const sfText *text)
| Get the size of the characters of a text. More...
CSFML_GRAPHICS_API sfUint32 | sfText_getStyle (const sfText *text)
| Get the style of a text. More...
CSFML_GRAPHICS_API sfColor | sfText_getColor (const sfText *text)
| Get the global color of a text. More...
CSFML_GRAPHICS_API sfVector2f | sfText_findCharacterPos (const sfText *text, size_t index)
| Return the position of the index-th character in a text. More...
CSFML_GRAPHICS_API sfFloatRect | sfText_getLocalBounds (const sfText *text)
| Get the local bounding rectangle of a text. More...
CSFML_GRAPHICS_API sfFloatRect | sfText_getGlobalBounds (const sfText *text)
| Get the global bounding rectangle of a text. More...

## Enumeration Type Documentation

enum sfTextStyle

sfText styles

Enumerator
sfTextRegular | Regular characters, no style.
sfTextBold | Bold characters.
sfTextItalic | Italic characters.
sfTextUnderlined | Underlined characters.
sfTextStrikeThrough | Strike through characters.

Definition at line 43 of file Text.h.

## Function Documentation

CSFML_GRAPHICS_API sfText* sfText_copy | ( | const sfText * | text | ) |

Copy an existing text.

Parameters

  text | Text to copy

Returns
  Copied object

CSFML_GRAPHICS_API sfText* sfText_create | ( | void |  | ) |

Create a new text.

Returns
  A new sfText object, or NULL if it failed

CSFML_GRAPHICS_API void sfText_destroy | ( | sfText * | text | ) |

Destroy an existing text.

Parameters

  text | Text to delete

CSFML_GRAPHICS_API sfVector2f sfText_findCharacterPos | ( | const sfText * | text,
|  | size_t | index
| ) |  |

Return the position of the index-th character in a text.

This function computes the visual position of a character from its index in the string. The returned position is in global coordinates (translation, rotation, scale and origin are applied). If index is out of range, the position of the end of the string is returned.

Parameters

  text | Text object
  index | Index of the character

Returns
  Position of the character

CSFML_GRAPHICS_API unsigned int sfText_getCharacterSize | ( | const sfText * | text | ) |

Get the size of the characters of a text.

Parameters

  text | Text object

Returns
  Size of the characters

CSFML_GRAPHICS_API sfColor sfText_getColor | ( | const sfText * | text | ) |

Get the global color of a text.

Parameters

  text | Text object

Returns
  Global color of the text

CSFML_GRAPHICS_API const sfFont* sfText_getFont | ( | const sfText * | text | ) |

Get the font used by a text.

If the text has no font attached, a NULL pointer is returned. The returned pointer is const, which means that you can't modify the font when you retrieve it with this function.

Parameters

  text | Text object

Returns
  Pointer to the font

CSFML_GRAPHICS_API sfFloatRect sfText_getGlobalBounds | ( | const sfText * | text | ) |

Get the global bounding rectangle of a text.

The returned rectangle is in global coordinates, which means that it takes in account the transformations (translation, rotation, scale, ...) that are applied to the entity. In other words, this function returns the bounds of the text in the global 2D world's coordinate system.

Parameters

  text | Text object

Returns
  Global bounding rectangle of the entity

CSFML_GRAPHICS_API sfTransform sfText_getInverseTransform | ( | const sfText * | text | ) |

Get the inverse of the combined transform of a text.

Parameters

  text | Text object

Returns
  Inverse of the combined transformations applied to the object

CSFML_GRAPHICS_API sfFloatRect sfText_getLocalBounds | ( | const sfText * | text | ) |

Get the local bounding rectangle of a text.

The returned rectangle is in local coordinates, which means that it ignores the transformations (translation, rotation, scale, ...) that are applied to the entity. In other words, this function returns the bounds of the entity in the entity's coordinate system.

Parameters

  text | Text object

Returns
  Local bounding rectangle of the entity

CSFML_GRAPHICS_API sfVector2f sfText_getOrigin | ( | const sfText * | text | ) |

Get the local origin of a text.

Parameters

  text | Text object

Returns
  Current origin

CSFML_GRAPHICS_API sfVector2f sfText_getPosition | ( | const sfText * | text | ) |

Get the position of a text.

Parameters

  text | Text object

Returns
  Current position

CSFML_GRAPHICS_API float sfText_getRotation | ( | const sfText * | text | ) |

Get the orientation of a text.

The rotation is always in the range [0, 360].

Parameters

  text | Text object

Returns
  Current rotation, in degrees

CSFML_GRAPHICS_API sfVector2f sfText_getScale | ( | const sfText * | text | ) |

Get the current scale of a text.

Parameters

  text | Text object

Returns
  Current scale factors

CSFML_GRAPHICS_API const char* sfText_getString | ( | const sfText * | text | ) |

Get the string of a text (returns an ANSI string)

Parameters

  text | Text object

Returns
  String as a locale-dependant ANSI string

CSFML_GRAPHICS_API sfUint32 sfText_getStyle | ( | const sfText * | text | ) |

Get the style of a text.

Parameters

  text | Text object

Returns
  Current string style (see sfTextStyle enum)

CSFML_GRAPHICS_API sfTransform sfText_getTransform | ( | const sfText * | text | ) |

Get the combined transform of a text.

Parameters

  text | Text object

Returns
  Transform combining the position/rotation/scale/origin of the object

CSFML_GRAPHICS_API const sfUint32* sfText_getUnicodeString | ( | const sfText * | text | ) |

Get the string of a text (returns a unicode string)

Parameters

  text | Text object

Returns
  String as UTF-32

CSFML_GRAPHICS_API void sfText_move | ( | sfText * | text,
|  | sfVector2f | offset
| ) |  |

Move a text by a given offset.

This function adds to the current position of the object, unlike sfText_setPosition which overwrites it.

Parameters

  text | Text object
  offset | Offset

CSFML_GRAPHICS_API void sfText_rotate | ( | sfText * | text,
|  | float | angle
| ) |  |

Rotate a text.

This function adds to the current rotation of the object, unlike sfText_setRotation which overwrites it.

Parameters

  text | Text object
  angle | Angle of rotation, in degrees

CSFML_GRAPHICS_API void sfText_scale | ( | sfText * | text,
|  | sfVector2f | factors
| ) |  |

Scale a text.

This function multiplies the current scale of the object, unlike sfText_setScale which overwrites it.

Parameters

  text | Text object
  factors | Scale factors

CSFML_GRAPHICS_API void sfText_setCharacterSize | ( | sfText * | text,
|  | unsigned int | size
| ) |  |

Set the character size of a text.

The default size is 30.

Parameters

  text | Text object
  size | New character size, in pixels

CSFML_GRAPHICS_API void sfText_setColor | ( | sfText * | text,
|  | sfColor | color
| ) |  |

Set the global color of a text.

By default, the text's color is opaque white.

Parameters

  text | Text object
  color | New color of the text

CSFML_GRAPHICS_API void sfText_setFont | ( | sfText * | text,
|  | const sfFont * | font
| ) |  |

Set the font of a text.

The font argument refers to a texture that must exist as long as the text uses it. Indeed, the text doesn't store its own copy of the font, but rather keeps a pointer to the one that you passed to this function. If the font is destroyed and the text tries to use it, the behaviour is undefined.

Parameters

  text | Text object
  font | New font

CSFML_GRAPHICS_API void sfText_setOrigin | ( | sfText * | text,
|  | sfVector2f | origin
| ) |  |

Set the local origin of a text.

The origin of an object defines the center point for all transformations (position, scale, rotation). The coordinates of this point must be relative to the top-left corner of the object, and ignore all transformations (position, scale, rotation). The default origin of a text object is (0, 0).

Parameters

  text | Text object
  origin | New origin

CSFML_GRAPHICS_API void sfText_setPosition | ( | sfText * | text,
|  | sfVector2f | position
| ) |  |

Set the position of a text.

This function completely overwrites the previous position. See sfText_move to apply an offset based on the previous position instead. The default position of a text Text object is (0, 0).

Parameters

  text | Text object
  position | New position

CSFML_GRAPHICS_API void sfText_setRotation | ( | sfText * | text,
|  | float | angle
| ) |  |

Set the orientation of a text.

This function completely overwrites the previous rotation. See sfText_rotate to add an angle based on the previous rotation instead. The default rotation of a text Text object is 0.

Parameters

  text | Text object
  angle | New rotation, in degrees

CSFML_GRAPHICS_API void sfText_setScale | ( | sfText * | text,
|  | sfVector2f | scale
| ) |  |

Set the scale factors of a text.

This function completely overwrites the previous scale. See sfText_scale to add a factor based on the previous scale instead. The default scale of a text Text object is (1, 1).

Parameters

  text | Text object
  scale | New scale factors

CSFML_GRAPHICS_API void sfText_setString | ( | sfText * | text,
|  | const char * | string
| ) |  |

Set the string of a text (from an ANSI string)

A text's string is empty by default.

Parameters

  text | Text object
  string | New string

CSFML_GRAPHICS_API void sfText_setStyle | ( | sfText * | text,
|  | sfUint32 | style
| ) |  |

Set the style of a text.

You can pass a combination of one or more styles, for example sfTextBold | sfTextItalic. The default style is sfTextRegular.

Parameters

  text | Text object
  style | New style

CSFML_GRAPHICS_API void sfText_setUnicodeString | ( | sfText * | text,
|  | const sfUint32 * | string
| ) |  |

Set the string of a text (from a unicode string)

Parameters

  text | Text object
  string | New string